neurodebian (0.38.3~nd17.10+1) artful; urgency=medium

  * Backported for artful.
  * Used following sed expression to modify debian/control: -e '' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 06 Feb 2019 21:23:39 -0500

neurodebian (0.38.3) unstable; urgency=medium

  * nd_freeze:
    - got -h|--help, --debug command line options
    - improved information output about ongoing actions
    - now handles backports correctly 
    - switched sources discovery from apt-cache to analysis of *Release files

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 06 Feb 2019 20:37:10 -0500

neurodebian (0.38.2) unstable; urgency=medium

  * nd_freeze:
    - remove apt lists files if there were none to start with
    - by default now would downgrade already installed packages to the state
      of them in snapshots.  Use --no-downgrade or -n to disable
    - --keep-apt-sources or -k  replaced longer --keep-original-apt-sources

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 18 Nov 2018 21:35:11 -0500

neurodebian (0.38.1) unstable; urgency=medium

  * Make ubuntu-keyring only list in Ubuntu (and its derivatives

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 12 Nov 2018 23:50:07 -0500

neurodebian (0.38.0) neurodebian; urgency=medium

  * New features
    - nd_freeze (alpha stage) script to be used to "freeze" Debian/NeuroDebian
      APT sources to use Debian/NeuroDebian snapshots repository.
      It is provided within minimal neurodebian-freeze package so it could
      be installed by default on lean base Docker/Singularity images
  * singularity/ - configuration(s) for Singularity images to be build on
    singularity-hub.org
  * Various updates to account for new Debian/Ubuntu releases
  * debian/compat - boosted to 9 from 7

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 07 Nov 2018 10:44:41 -0500

neurodebian (0.37.6) unstable; urgency=medium

  * Switch to use interest-noawait for neurodebian-desktop.trigger
    to avoid a circular deadlock (Closes: #858920)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 28 Mar 2017 13:53:19 -0400

neurodebian (0.37.5) unstable; urgency=medium

  * debian/control
    - -keyring pkg depends now on some gnupg version and dirmngr
      (Closes: #837085)
    - -desktop now recommends reportbug-ng (Closes: #795672)
    - boosted policy to 3.9.8
  * vm/d-i/*/initial_setup
    - replaced short key id 16BA136C with a long one (Closes: #836545)
  * added debian/po/sv.po - thanks Jonatan Nyberg (Closes: #822111)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 10 Sep 2016 22:58:06 -0400

neurodebian (0.37.4) unstable; urgency=medium

  * Fixed Exec for FSL's .desktop file and added .desktop for
    connectome-workbench

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 02 Mar 2016 08:59:38 -0500

neurodebian (0.37.3) unstable; urgency=medium

  * Updated desktop files for FSL to follow 5.x now (Thanks Bennet Fauber)
  * Includes info on wily 15.04 Ubuntu release
  * [Debconf translation updates]
    - Dutch (Frans Spiesschaert). Closes: #798833

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 28 Feb 2016 12:23:15 -0500

neurodebian (0.37.2) unstable; urgency=low

  [ Christian Perrier ]
  * [Debconf translation updates]
    - Danish (Joe Hansen).  Closes: #790342
    - German (Chris Leick).  Closes: #790489
    - Brazilian Portuguese (Adriano Rafael Gomes).  Closes: #791471
    - Portuguese (Américo Monteiro).  Closes: #791547
    - French (Julien Patriarca).  Closes: #791559
    - Russian (Yuri Kozlov).  Closes: #791654

  [ Yaroslav Halchenko ]
  * Updated and renamed patch to add neurodebian-guest-additions package
    for neurodebian distribution.  Now will be provided for stretch as
    well

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 10 Jul 2015 13:11:41 -0400


neurodebian (0.37.1) unstable; urgency=medium

  * Do not override start-here.* icons of other themes with an alternative
    (Closes: #789916)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 25 Jun 2015 12:32:28 -0400

neurodebian (0.37) unstable; urgency=medium

  * debian/control
    - boosted policy to 3.9.6
    - moved cowbuilder to Recommends (should overcome too strict
      dependency forbidding neurodebian reside in testing)
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project (Closes: #786448).
    Thanks to the team and Christian Perrier and Justin B Rye.
  * [Debconf translation updates]
    - added cs.po (Thanks Michal Simunek!) (Closes: #789695)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 23 Jun 2015 23:58:32 -0400

neurodebian (0.36) neurodebian; urgency=low

  * xdg/Xresources/neurodebian
    - removed incorrectly prefixed comment
  * debian/control
    - neurodebian-desktop: we don't even use gnome in VM, so now prefer
      adwaita icon theme
  * debian/tools
    - nd-configurerepo: fix setting of NEURODEBIAN_UPDATE from the environment
  * vm/d-i/jessie
    - initiated work on updating VM to be based on jessie

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 26 Mar 2015 09:41:25 -0400

neurodebian (0.35) neurodebian; urgency=medium

  * debian/patches/jessie-dsc-patch symlink to the one for wheezy so
    we build guest additions for jessie VM
  * tools/nd* accounting for new and EOLed releases of Ubuntu
  * website:
    - new CN mirrors
  * brochure:
    - note docker images

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 09 Feb 2015 18:06:57 -0500

neurodebian (0.34) unstable; urgency=medium

  * Re-upload to Debian proper (Closes: #757279), addressing Debian
    ftpmaster concerns (Thanks Ansgar Burchardt for the thorough review
    and suggestions)
  * debian/control
    - neurodebian-guest-additions:
      - this binary package will be built ONLY for the NeuroDebian wheezy,
        and that is why was removed from the stock debian/control
      - moved virtualbox-guest* dependencies into Depends (from
        Pre-Depends), and stripping deprecated -ose suffix
      - dropped depends on elderly gdm, now lightdm or any x-display-manager
      - fixing package names for chromium, and removing update-manager-gnome
        N/A in sid
    - neurodebian
      - moved wget, python to Depends from Pre-Depends
  * debian/neurodebian-popularity-contest.*
    - .postinst  should try to remove old-fashion popcon entry only if
      upgrading/configuring from pre 0.33 version of neurodebian-*
    - .postrm  removed altogether since will not longer be needed because
      popcon configuration gets installed as a config file now
  * tools/nd-configurerepo
    - use long GPG key id
    - unify prefix for environment variables to be NEURODEBIAN_ instead of
      more cryptic ND_AE_
  * tools/neurodebian.{preinst,templates,config}
    - add an explicit question either NeuroDebian APT configuration should
      be installed (i.e. NeuroDebian repository being enabled). debconf
      default/value could be overridden from the environment using
      NEURODEBIAN_ENABLE.

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 13 Aug 2014 13:43:13 -0400

neurodebian (0.33) UNRELEASED; urgency=medium

  * Initial (rejected) upload to Debian proper
  * Support popularity-contest >= 1.61 encrypting submissions:
    - provide GPG public key for encryption of submissions
  * Updated list of currently supported Ubuntu releases
  * New features:
    - neurodebian and neurodebian packages to provide 1-click
      NeuroDebian deployment on Debian/Ubuntu boxes
  * Breakage of "compatibility":
    - do not install sphinx sources

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 08 Aug 2014 16:29:40 -0400

neurodebian (0.32) neurodebian; urgency=low

  [ Michael Hanke ]
  * complete redesign of the website, now based on modularized-away bigmess

  [ Yaroslav Halchenko ]
  * nd_* tools:
    - cmdsettings.sh: drop building for EOLed hardy, add raring
    - vmsetupvizard: install all ipython frontends (notebook, qtconsole)
      for recent versions of ipython
  * bulk of other changes

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 01 Nov 2013 16:30:46 -0400

neurodebian (0.31) neurodebian; urgency=low

  * debian/copyright:
    - adjusted for dep5 v1.0. compliance
  * website:
    - updated URL of the Magdeburg mirror
    - more testimonials, derivatives information
  * VM (6.999.b4.20121231):
    - small fixes (cleanup etc)
  * nd_* tools:
    - backport-dsc: assure adding log entries to freshly created changelog
      entry
    - removed karmic, maverick and natty from build targets -- their support
      ended

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 12 Mar 2013 20:41:56 -0400

neurodebian (0.30) neurodebian; urgency=low

  * Preparing a new VM image (6.999.b4.20121206) - based on upcoming wheezy
    release's beta4
    - uses XFCE4 instead of Gnome(3) -- Depends on gdm | lightdm now,
      uses urxvt as the default xterm
    - nd-vmsetupwizard: extended list of topic choices
    - vm/tools (with contributions from Tiziano Zito)
      - does not require external webserver (uses Python's standard)
      - basic cmdline options handling to avoid hard-coded values
      - preseed.cfg is now templated
  * website:
    - new mirror ([de-m])
  * nd_* tools:
    - nd_build_testrdepends:
      - signs the repository
      - should work now with non-sid distributions
    - nd_querycfg:
      - generalized to query any config file

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 19 Dec 2012 10:45:02 -0500

neurodebian (0.29) neurodebian; urgency=low

  [ Yaroslav Halchenko & Michael Hanke ]
  * website:
    - new mirror ([de-md])
    - dynamic ranges for the new distributions subscription stats plot
  * VM (6.0.6):
    - base on 6.0.6 Debian point release (finally version of NeuroDebian
      VM is in sync with the Debian release)
    - nd-vmsetupwizard:
      - robustify check/linking of $HOME/host
      - optional installations dialog:
        - set height of the dialog to 450 for to fit all list items
        - refactored "GIMP" section into "Graphics" which would install
          also inkscape, vym and svgtune
        - added sections for "PyMVPA tutorial", and different collections of
          Python modules (Neuroimaging, Electrophysiology, etc)
        - Python selections depend on ipython01x instead of older ipython
          to provide IPython notebooks facilities out-of-the-box

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 01 Oct 2012 12:26:37 -0400

neurodebian (0.28) neurodebian; urgency=low

  [ Michael Hanke & Yaroslav Halchenko]
  * website:
    - lots of changes
  * nd_* tools:
    - backport-dsc: backport to squeeze by default
    - nd_adddist: explicitly specify debian keyring to work on Ubuntus
    - nd_build_testrdepends: test dependees of all binary packages
    - cmdsettings.sh: in allnddist -- deprecated lenny, added precise
  * VM:
    - neurodebian-guest-additions: in preparation for wheezy NeuroDebian
      VM appliance added option for gdm3

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 19 Jul 2012 23:46:00 -0400

neurodebian (0.27) neurodebian; urgency=low

  * nd_* tools:
    - backport-dsc: escape "~" to prevent expansion into $HOME
    - nd_adddist: adds apt lines for <release>-updates if available
  * VM:
    - "brain" user added to "vboxsf" to get access to
      shared host directories

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 07 Nov 2011 17:59:54 -0500

neurodebian (0.26) neurodebian; urgency=low

  [ Michael Hanke & Yaroslav Halchenko]
  * website:
    - lots of changes: blog, artwork, survey, testimonials, etc.
  * nd_* tools:
    - added support for Ubuntu 11.04 -- Oneiric
    - new tool nd_build_testrdepends to test either upcoming version of a
      package would break any reverse build-depends
    - new tool nd_adddistall to generate cow chroots for all distributions
    - nd_build now returns non-0 code upon any failure to build
  * VM:
    - for 6.0.4 VM: addressed issue with dkms build of guest additions
    - for 6.0.5 VM:
      - NeuroDebian "Welcome Wizard" pulls scipy instead of only numpy for
       "Scientific Python"
      - doubled the sizes of partition (40GB) and swap (2GB)
      - fixed linking of ~/host in nd-vmsetupwizard to be in line
        with recent VB (4.x)
  * Boosted policy to 3.9.2 -- no changes

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 17 Oct 2011 00:10:27 -0400

neurodebian (0.25) neurodebian; urgency=low

  * Various improvements to the webportal.
  * Support for Ubuntu natty

 -- Michael Hanke <mih@debian.org>  Fri, 29 Apr 2011 09:19:15 -0400

neurodebian (0.24) neurodebian; urgency=low

  * Tuning up VM setup
  * [ed8864b] lightweighting of VM image (removing -dev packages)
  * [847fc01] fixing up additional cleaning
  * [1cbcacd] install reportbug
  * [c4e51a7] nd-vmsetupwizard - invoke update-software-center to
    overcome #612437
  * [6aaefb0] nd-autoinstall - add --trivial-only to prevent actual
    installation while getting sizes msg
  * [0b16d50] nd-vmsetupwizard - add Octave (including qtoctave) as
    the choice for installing
  * [0ea682f] nd-vmsetupwizard - add option for sourcing of FSL/AFNI
    .sh files in user"s .profile

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 08 Feb 2011 12:41:28 -0500

neurodebian (0.23) neurodebian; urgency=low

  [ Michael Hanke ]
  * [de48f60] Condor to Blends
  * Website:
    - [56fde2f] Introduced NeuroDebian projects page
    - [c87e701] Debtest
    - [7a0bd3b] Put 'I want to help' button from openhatch.
    - [2da9ec1] Reword Freesurfer project description.
    - [530fe7f] Mention squeeze as stable and wheezy as the new testing.

  [ Yaroslav Halchenko ]
  * Additional blends tasks entries: NEST, pyxnat, tscope, bluespike,
    opensesame, etc.
  * [860e3d1] tools/nd_build: generate/update summary.build file with
    OK/FAILED per .build
  * Website:
    - Extending projects list
    - [0a4391e] Consider also "Recommends" to select packages from task
      pages
    - [578734b] minor fixes in FAQ
    - [7b9afd5] BF: pkg.rst -- explicit empty line after a note before
      section title
    - [173adb7] tids and bits into proj_matlab
    - [0825acb] more links and abbreviations
    - [26c856d] enh: annonymous links to mirrors
    - [6ad3e3c] BF: Disabling openhatche's copy of jquery, even though
      loosing cool tipsy functionality for now
    - [bd82cfe] adding section titles to the master quote pages
  * VM:
    - [746861f] vm-6.0.2 version - use released squeeze
    - [a000afb] fixing up redirection of an echo cmd
    - [dd6accf] nd-vmsetupwizard - handle installed (but disabled) by
      default popcon
    - [5090ef2] assure persistent hostname 'neurodebian' - write it into
      /etc/hostname
  * Live-CD:
    - [84193f6] add more of gnome and utils into a live cd
    - [defaab3] give sensible values for the volume label and use it for
      .iso filename

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 07 Feb 2011 14:44:30 -0500

neurodebian (0.22) neurodebian; urgency=low

  [ Yaroslav Halchenko ]
  * blends-inject :
    * [6833800] 0.0.6: skip files based on regexp and "emptiness"
    * [69030fb] 0.0.7: NF/BF -- obtain source name from control,
      skip hash-commented control entries
  * [bed4bfa] added future/blends skeleton file (skel) and a set of
    new blends files
  * tools/*
    * [66e4c32] fixed passing of optional cmdline args in nd_ tools:
      must use "$@" instead of plain $*
    * [fd2c503] tools/nd_build: generate/update summary.build file with
      OK/FAILED per .build
  * [0872417] Slight clarifications in the description of
    -popularity-contest package

  [ Michael Hanke ]
  * [56d8e62] Enable TODO items in sphinx.
  * [b98b0b7] Move mailing list links into common list.
  * [56fde2f] Draft for a project list and two proposals.
  * [a12bc58] Link new projects list into the FAQ
  * [82b92d5] Renamed matlab -> matlab-support
  * [69f6512] Put icon links to extracts from DSCs (README, changelog,
    copyright)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 10 Jan 2011 11:06:54 -0500

neurodebian (0.21) neurodebian; urgency=low

  * Fixing bashism in popcon post-scripts -- no "+=" operator

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 07 Dec 2010 08:48:53 -0500

neurodebian (0.20) neurodebian; urgency=low

  * New package neurodebian-popularity-contest, which all backported
    packages will depend on.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 06 Dec 2010 14:27:56 -0500

neurodebian (0.19) neurodebian; urgency=low

  * Initial release.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 25 Nov 2010 10:16:04 -0500
